import 'package:json_annotation/json_annotation.dart';

part 'login_response.g.dart';

@JsonSerializable()
class LoginResponse {
  @JsonKey(name: "authToken")
  String authToken;

  @JsonKey(name: "phone")
  String? phone;

  LoginResponse(this.authToken, this.phone);

  factory LoginResponse.fromJson(Map<String, dynamic> json) =>
      _$LoginResponseFromJson(json);
}
